PCRE Versions and PHP

PCRE versions bundled with PHP (from 5.2.4 onwards):

PCRE Unicode PHP 5.2 PHP 5.3 PHP 5.4 PHP 5.5 PHP 5.6 PHP 7.0 PHP 7.1
7.2 5.0.0 5.2.4
7.3 5.2.5
7.6 5.2.6
7.8 5.1.0 (no 5.2.7) 5.2.8-9
7.9 5.2.10-13 5.3.0-1
8.00 5.3.2
8.02 5.2.0 5.2.14-17 (last) 5.3.3
8.10 5.3.4-5
8.11 5.3.6
8.12 5.3.7-18 5.4.0-8
8.31 6.1.0 5.3.19-23 5.4.9-13
8.32 6.2.0 5.3.24-29 (last) 5.4.14-40 5.5.0-9
8.34 6.3.0 5.5.10-24 5.6.0-8
8.36 7.0.0 5.5.25
8.37 5.4.41-45 (last) 5.5.26-31 5.6.9-17 7.0.0-2
8.38 5.5.32-38 (last) 5.6.18-30 7.0.3-18 7.1.0-4

Versions of PCRE < 8.13 can seg fault or fail when given a grouped expression with unlimited repetition and a large match (~20K).

Note that some distros compile PHP against later versions. For instance the PHP 7.0.15 that comes with Ubuntu 16.10/17.04 is compiled against PCRE 8.39.